org.apache.jmeter.samplers

## Class RemoteSampleListenerWrapper

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.samplers.RemoteSampleListenerWrapper

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, NoThreadClone, Searchable, SampleListener, TestElement

      public class RemoteSampleListenerWrapper
      extends AbstractTestElement
      implements SampleListener, java.io.Serializable, NoThreadClone

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteSampleListenerWrapper()`
    `RemoteSampleListenerWrapper(RemoteSampleListener l)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `sampleOccurred(SampleEvent e)` A sample has started and stopped.
    `void` | `sampleStarted(SampleEvent e)` A sample has started.
    `void` | `sampleStopped(SampleEvent e)` A sample has stopped.

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### RemoteSampleListenerWrapper

          public RemoteSampleListenerWrapper(RemoteSampleListener l)

    - #### RemoteSampleListenerWrapper

          public RemoteSampleListenerWrapper()

  - ### Method Detail

    - #### sampleOccurred

          public void sampleOccurred(SampleEvent e)

      Description copied from interface: `SampleListener`
      A sample has started and stopped.
      Specified by:
        `sampleOccurred` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has occurred

    - #### sampleStarted

          public void sampleStarted(SampleEvent e)

      Description copied from interface: `SampleListener`
      A sample has started.
      Specified by:
        `sampleStarted` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has started

    - #### sampleStopped

          public void sampleStopped(SampleEvent e)

      Description copied from interface: `SampleListener`
      A sample has stopped.
      Specified by:
        `sampleStopped` in interface `SampleListener`
      Parameters:
        `e` - the `SampleEvent` that has stopped

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.